Bug 1918404 - High CPU usage for pipewire-pulseaudio
Summary: High CPU usage for pipewire-pulseaudio
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-20 16:17 UTC by Vasco Rodrigues
Modified: 2021-02-06 01:17 UTC (History)
2 users (show)

Fixed In Version: pipewire-0.3.21-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-04 10:23:21 UTC
Type: Bug


Attachments (Terms of Use)
PCI list of devices (2.89 KB, text/plain)
2021-01-20 16:17 UTC, Vasco Rodrigues
no flags Details
pw-top (9.69 KB, text/plain)
2021-01-23 14:40 UTC, Vasco Rodrigues
no flags Details
pw info (68.44 KB, text/plain)
2021-01-23 15:20 UTC, Vasco Rodrigues
no flags Details

Description Vasco Rodrigues 2021-01-20 16:17:53 UTC
Created attachment 1749111 [details]
PCI list of devices

Description of problem:
High CPU usage for pipewire-pulseaudio

Version-Release number of selected component (if applicable):
0.3.13


How reproducible:
All the time

Steps to Reproduce:
1. Running the workstation as normal

Actual results:
High CPU usage

Expected results:
Lower CPU usage

Additional info:
    PID USER      PR  NI    VIRT    RES    SHR S  %CPU  %MEM     TIME+ COMMAND                                                              
 791962 vvro      20   0 3539588 636784 139016 S  29,4   1,9   8:57.94 Web Content                                                          
 791628 vvro      20   0 5194524   1,4g 510056 S  22,1   4,4 141:21.76 firefox                                                              
   2060 vvro      20   0 5510360 467084 180320 S   6,1   1,4 118:52.35 gnome-shell                                                          
   2230 vvro       9 -11  207688 105356   5144 S   5,5   0,3 357:42.88 pipewire-pulse                                                       
 792027 vvro      20   0 3469072 391468 145136 S   3,7   1,2  30:35.87 Web Content                                                          
   2449 vvro       9 -11  135988  32900   7528 S   3,1   0,1 175:54.02 pipewire                                                             
 791887 vvro      20   0 3353824 331456 164332 S   3,1   1,0  14:44.34 Web Content                                                          
   4045 vvro      20   0  161692   4096   3456 S   2,5   0,0 168:02.86 sd_dummy                                                             
   1029 polkitd   20   0 3176700  40840  17524 S   1,8   0,1  15:16.73 polkitd                                                              
   4039 vvro      20   0  466080   7876   4980 S   1,8   0,0 165:16.50 sd_espeak-ng

Comment 1 Wim Taymans 2021-01-22 13:10:41 UTC
what's the output of pw-top?

Comment 2 Vasco Rodrigues 2021-01-23 14:40:58 UTC
Created attachment 1750025 [details]
pw-top

Comment 3 Vasco Rodrigues 2021-01-23 14:47:01 UTC
The sound output device is thru the speakers on a TV with HDMI, which goes off when it goes on standby, so the output appears and goes.

Comment 4 Vasco Rodrigues 2021-01-23 15:20:19 UTC
Created attachment 1750056 [details]
pw info

Comment 5 Vasco Rodrigues 2021-01-28 13:23:33 UTC
No longer happens with pipewire-pulseaudio-0.3.20-1

Comment 6 Wim Taymans 2021-02-04 10:23:21 UTC
thanks for testing

Comment 7 Fedora Update System 2021-02-04 10:39:31 UTC
FEDORA-2021-f394ea10e9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f394ea10e9

Comment 8 Fedora Update System 2021-02-05 01:27:26 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d6d23603c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6d23603c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-02-06 01:17:55 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.